## NAME

r.basins.fill - Generates watershed subbasins raster map.

## KEYWORDS

raster, hydrology, watershed

## SYNOPSIS

r.basins.fill
r.basins.fill --help
r.basins.fill cnetwork=name tnetwork=name output=name number=integer [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

cnetwork=name [required]
  Name of input coded stream network raster map
tnetwork=name [required]
  Name of input thinned ridge network raster map
output=name [required]
  Name for output raster map
number=integer [required]
  Number of passes through the dataset

## DESCRIPTION

r.basins.fill generates a raster map layer depicting subbasins, based on input raster map layers for the coded stream network (where each channel segment has been "coded" with a unique category value) and for the ridges within a given watershed. The raster map layer depicting ridges should include the ridge which defines the perimeter of the watershed. The coded stream network can be generated as part of the r.watershed program, but the map layer of ridges will need to be created by hand (for example, through digitizing done in wxGUI vector digitizer).

The resulting output raster map layer will code the subbasins with category values matching those of the channel segments passing through them. A user-supplied number of passes through the data is made in an attempt to fill in these subbasins. If the resulting map layer from this program appears to have holes within a subbasin, the program should be rerun with a higher number of passes.

## NOTES

The current geographic region setting is ignored. Instead, the geographic region for the entire input stream's map layer is used.

## SEE ALSO

See Appendix A of the GRASS Tutorial: r.watershed for further details on the combined use of r.basins.fill and r.watershed.

r.water.outlet, r.watershed, wxGUI vector digitizer

## AUTHORS

Dale White, Dept. of Geography, Pennsylvania State University
Larry Band, Dept. of Geography, University of Toronto, Canada

## SOURCE CODE

Available at: r.basins.fill source code (history)

Latest change: Tuesday Apr 23 10:45:15 2024 in commit: f8115df1219e784a7136e7609f4c9bb16d928e2f

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2024 GRASS Development Team, GRASS GIS 8.4.0 Reference Manual